## libtorrent-rasterbar 0.14.10

=== debian/changelog ===
libtorrent-rasterbar (0.14.10-2+deb6u1) squeeze-lts; urgency=low

  * Non-maintainer upload by the Squeeze LTS Team. 
  * CVE-2015-5685: The lazy_bdecode function in BitTorrent DHT bootstrap 
    server (bootstrap-dht ) allows remote attackers to execute arbitrary 
    code via a crafted packet, related to "improper indexing."
 
 -- Thorsten Alteholz <debian@alteholz.de>  Sun, 20 Sep 2015 16:03:02 +0200

libtorrent-rasterbar (0.14.10-2) unstable; urgency=low

  * debian/{control,rules}: build python-libtorrent for all supported
    python versions. (Closes: #578078)
  * debian/README.source: remove now unneeded file.

 -- Cristian Greco <cristian@regolo.cc>  Sat, 17 Apr 2010 00:19:00 +0200

libtorrent-rasterbar (0.14.10-1) unstable; urgency=low

  * New upstream version.

 -- Cristian Greco <cristian@regolo.cc>  Wed, 24 Mar 2010 18:23:04 +0100

libtorrent-rasterbar (0.14.9-1) unstable; urgency=low

  * New upstream version.
  * debian/libtorrent-rasterbar-doc.doc-base: fix spelling error.
  * debian/patches/100_fix_html_docs.patch: refreshed.
  * debian/control: bump up standards-version to 3.8.4 (no changes).

 -- Cristian Greco <cristian@regolo.cc>  Sat, 20 Feb 2010 02:00:20 +0100

libtorrent-rasterbar (0.14.8-1) unstable; urgency=low

  * New upstream version.
    - r4072_fix_broadcast_socket_regression.patch: dropped, included upstream.
  * debian/control: add dependency on libgeoip-dev for -dev package.
  * debian/watch: point download url to googlecode.

 -- Cristian Greco <cristian@regolo.cc>  Thu, 14 Jan 2010 23:25:42 +0100

libtorrent-rasterbar (0.14.7-2) unstable; urgency=low

  * r4072_fix_broadcast_socket_regression.patch: new patch, pulled from
    upstream svn (r4072).

 -- Cristian Greco <cristian@regolo.cc>  Thu, 17 Dec 2009 13:21:49 +0100

libtorrent-rasterbar (0.14.7-1) unstable; urgency=low

  * New upstream version.
  * debian/control:
    - new maintainer email address.
    - add DMUA field, thanks to my sponsor Michal Čihař.
    - add build-dep on libboost-program-options-dev.
  * Convert to 3.0 (quilt) source format.

 -- Cristian Greco <cristian@regolo.cc>  Wed, 25 Nov 2009 16:29:30 +0100

libtorrent-rasterbar (0.14.6-1) unstable; urgency=low

  * New upstream version.
  * debian/{control,rules}:
    - build-dep on libgeoip-dev and pkg-config, thus enable building against
      geoip system library. (Closes: #544462)
    - drop build-dep on autotools-dev and don't overwrite config.{guess,sub}
      as upstream now ships up-to-date files.
  * debian/rules: drop the hack for boost1.39 as latest revision now
    ship again the -mt simlinks.
  * 010_r3796_r3797_fix_configure.patch: deleted (merged upstream).
  * debian/README.source: fix reference to quilt doc.

 -- Cristian Greco <cristian.debian@gmail.com>  Tue, 22 Sep 2009 12:58:26 +0200

libtorrent-rasterbar (0.14.5-1) unstable; urgency=low

  * New upstream version.
    - new package libtorrent-rasterbar5 (bump up library soname).
    - debian/patches:
      + prefix patches with a number.
      + 100_fix_html_docs.patch: improve description.
      + new patch 010_r3796_r3797_fix_configure.patch (temporary fix).
  * debian/control:
    - move git package maintenance to collab-maint.
    - bump up Standards-Version to 3.8.3 (no changes required).
    - (build-)depends on zlib1g-dev instead of libz-dev (which is
      a virtual package).
    - build-depends on quilt (>= 0.46-7) and simplify debian/rules.
  * debian/rules: allow building against boost 1.39 (which contains
    libraries with no more -mt suffix) and try to retain compatibility
    with older versions for ubuntu backports.

 -- Cristian Greco <cristian.debian@gmail.com>  Tue, 25 Aug 2009 17:29:29 +0200

libtorrent-rasterbar (0.14.4-1) unstable; urgency=low

  * New upstream version.
    - new package libtorrent-rasterbar4 (bump up library soname).
  * debian/control:
    - fix Vcs-Browser address;
    - build depends on new unversioned boost -dev packages (this will cause
      building against boost1.38). (Closes: #531114)
  * debian/patches/fix_html_docs.patch: refresh patch as file
    docs/libtorrent_plugins.rst was added upstream.
  * debian/rules:
    - now there is no need to remove the missing doc file generated by
      fix_html_docs.patch as it has been fixed upstream;
    - backup config.{sub,guess} before overwriting them during build, and
      restore during clean.

 -- Cristian Greco <cristian.debian@gmail.com>  Wed, 03 Jun 2009 13:05:21 +0200

libtorrent-rasterbar (0.14.3-1) unstable; urgency=low

  * New Upstream Version
    - new package libtorrent-rasterbar3 (bump up library soname).
  * debian/control:
    - add Vcs-* stuff (switch to git-buildpackage) and bump up
      Standards-Version to 3.8.1 (no changes required);
    - build-depends on debhelper (>= 7.0.50) and use override_dh_command;
    - move -dbg package to the new 'debug' section;
    - build-depends on autotools-dev and overwrite config.{sub,guess} with a
      recent version in debian/rules.
    - build-depends on quilt and python-docutils:
      + debian/patches/fix_html_docs.patch: fix html documentation for offline
        browsing and add another missing doc file;
      + rebuild docs at build time in debian/rules;
  * debian/example.makefile: install a simple makefile for example programs
    included in -doc package.
  * debian/rules, debian/python-libtorrent.install: don't rely on hardcoded
    python version, use --install-layout=deb when building python bindings,
    and install to '*-packages' instead of 'site-packages' (this should
    prepare for python2.6 and minimize Ubuntu diff).

 -- Cristian Greco <cristian.debian@gmail.com>  Wed, 13 May 2009 12:08:59 +0200

libtorrent-rasterbar (0.14.2-2) unstable; urgency=low

  * debian/control, debian/rules: revert building only against boost1.37 since
    the dependencies on the -dev packages are causing some problems with
    reverse depends clients and backporting to stable is not really needed

