=== debian/control ===
Source: libtorrent-rasterbar
Section: libs
Priority: optional
Maintainer: Cristian Greco <cristian@regolo.cc>
Build-Depends: debhelper (>= 7.0.50),
               libboost-dev,
               libboost-system-dev,
               libboost-filesystem-dev,
               libboost-thread-dev,
               libboost-regex-dev,
               libboost-program-options-dev,
               libboost-python-dev,
               libssl-dev,
               zlib1g-dev,
               libgeoip-dev,
               pkg-config,
               python-all-dev (>= 2.3.5-11),
               python-docutils
XS-Python-Version: all
Standards-Version: 3.8.4
Vcs-Git: git://git.debian.org/git/collab-maint/libtorrent-rasterbar.git
Vcs-Browser: http://git.debian.org/?p=collab-maint/libtorrent-rasterbar.git
Homepage: http://www.rasterbar.com/products/libtorrent/index.html
DM-Upload-Allowed: yes

Package: libtorrent-rasterbar5
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Suggests: libtorrent-rasterbar-dbg
Description: C++ bittorrent library by Rasterbar Software
 Bittorrent library by Rasterbar Software (Arvid Norberg).
 libtorrent-rasterbar is a C++ library that aims to be a good alternative to
 all the other bittorrent implementations around.
 .
 The main goals of libtorrent-rasterbar are:
  * to be cpu efficient
  * to be memory efficient
  * to be very easy to use
 .
 This package contains libtorrent-rasterbar run time shared library.

Package: libtorrent-rasterbar-dev
Section: libdevel
Architecture: any
Depends: ${misc:Depends},
         libtorrent-rasterbar5 (= ${binary:Version}),
         libboost-dev,
         libboost-system-dev,
         libboost-filesystem-dev,
         libboost-thread-dev,
         libboost-date-time-dev,
         libssl-dev,
         zlib1g-dev,
         libgeoip-dev,
         pkg-config
Suggests: libtorrent-rasterbar-doc
Description: Development files for libtorrent-rasterbar
 Bittorrent library by Rasterbar Software (Arvid Norberg).
 libtorrent-rasterbar is a C++ library that aims to be a good alternative to
 all the other bittorrent implementations around.
 .
 The main goals of libtorrent-rasterbar are:
  * to be cpu efficient
  * to be memory efficient
  * to be very easy to use
 .
 This package contains header files and static version of the library.

Package: libtorrent-rasterbar-dbg
Section: debug
Priority: extra
Architecture: any
Depends: ${misc:Depends}, libtorrent-rasterbar5 (= ${binary:Version})
Description: Debug symbols for libtorrent-rasterbar
 Bittorrent library by Rasterbar Software (Arvid Norberg).
 libtorrent-rasterbar is a C++ library that aims to be a good alternative to
 all the other bittorrent implementations around.
 .
 The main goals of libtorrent-rasterbar are:
  * to be cpu efficient
  * to be memory efficient
  * to be very easy to use
 .
 This package contains debugging symbols.

Package: libtorrent-rasterbar-doc
Section: doc
Architecture: all
Depends: ${misc:Depends}
Description: Documentation for libtorrent-rasterbar
 Bittorrent library by Rasterbar Software (Arvid Norberg).
 libtorrent-rasterbar is a C++ library that aims to be a good alternative to
 all the other bittorrent implementations around.
 .
 The main goals of libtorrent-rasterbar are:
  * to be cpu efficient
  * to be memory efficient
  * to be very easy to use
 .
 This package contains documentation and example files.

Package: python-libtorrent
Section: python
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ${python:Depends}, libtorrent-rasterbar5 (= ${binary:Version})
Provides: ${python:Provides}
XB-Python-Version: ${python:Versions}
Description: Python bindings for libtorrent-rasterbar
 Bittorrent library by Rasterbar Software (Arvid Norberg).
 libtorrent-rasterbar is a C++ library that aims to be a good alternative to
 all the other bittorrent implementations around.
 .
 The main goals of libtorrent-rasterbar are:
  * to be cpu efficient
  * to be memory efficient
  * to be very easy to use
 .
 This package contains Python bindings for the libtorrent-rasterbar library.
