## libtorrent-rasterbar 0.15.4

=== debian/changelog ===
libtorrent-rasterbar (0.15.4-0ubuntu1) maverick; urgency=low

  * New upstream bug fix release.
   - Fixed tracker announce issue which could cause high
     CPU and memory usage. (LP: #639659)
   - Fix issue which can cuase an infinite loop and result
     in Deluge lockingup. (LP: #654906)
   - Many thanks to Christophe Dumez, upstream author
     Arvid Norberg, and Daniel Hollocher for making
     sure these fixes landed in Maverick.

 -- Andrew Starr-Bochicchio <a.starr.b@gmail.com>  Tue, 05 Oct 2010 12:01:20 -0400

libtorrent-rasterbar (0.15.3-0ubuntu1) maverick; urgency=low

  * New upstream bugfix release.

 -- Andrew Starr-Bochicchio <a.starr.b@gmail.com>  Wed, 08 Sep 2010 19:09:13 -0400

libtorrent-rasterbar (0.15.1-0ubuntu1) maverick; urgency=low

  * New upstream point release.

  * New package libtorrent-rasterbar6 (bump up library soname). (LP: #615950)
   - Must Conflict/Replace libtorrent-rasterbar5 (= 0.15.0-0ubuntu1) or it will
     fail to install trying to overwrite '/usr/lib/libtorrent-rasterbar.so.6.0.0'

  * Sync on git.debian.org/collab-maint/libtorrent-rasterbar.git:
   - debian/{control,rules}: Bump debhelper build-dep to (>= 7.4.10)
     and pass to dh in order to enable parallel build support.
   - debian/watch: Use googlecode.debian.net redirector.

 -- Andrew Starr-Bochicchio <a.starr.b@gmail.com>  Tue, 10 Aug 2010 12:57:25 -0400

libtorrent-rasterbar (0.15.0-0ubuntu1) maverick; urgency=low

  * New upstream version.
  * debian/patches/100_fix_html_docs.patch: refreshed.
  * debian/control: bump up standards-version to 3.9.1 (no changes).

 -- Christophe Sauthier <christophe.sauthier@objectif-libre.com>  Tue, 10 Aug 2010 12:59:37 +0200
