=== debian/control ===
--- 
+++ 
@@ -1,8 +1,9 @@
 Source: libtorrent-rasterbar
 Section: libs
 Priority: optional
-Maintainer: Cristian Greco <cristian@regolo.cc>
-Build-Depends: debhelper (>= 7.0.50),
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Cristian Greco <cristian@regolo.cc>
+Build-Depends: debhelper (>= 7.4.10),
                libboost-dev,
                libboost-system-dev,
                libboost-filesystem-dev,
@@ -17,16 +18,18 @@
                python-all-dev (>= 2.3.5-11),
                python-docutils
 XS-Python-Version: all
-Standards-Version: 3.8.4
+Standards-Version: 3.9.1
 Vcs-Git: git://git.debian.org/git/collab-maint/libtorrent-rasterbar.git
 Vcs-Browser: http://git.debian.org/?p=collab-maint/libtorrent-rasterbar.git
 Homepage: http://www.rasterbar.com/products/libtorrent/index.html
 DM-Upload-Allowed: yes
 
-Package: libtorrent-rasterbar5
+Package: libtorrent-rasterbar6
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}
 Suggests: libtorrent-rasterbar-dbg
+Conflicts: libtorrent-rasterbar5 (= 0.15.0-0ubuntu1)
+Replaces: libtorrent-rasterbar5 (= 0.15.0-0ubuntu1)
 Description: C++ bittorrent library by Rasterbar Software
  Bittorrent library by Rasterbar Software (Arvid Norberg).
  libtorrent-rasterbar is a C++ library that aims to be a good alternative to
@@ -43,7 +46,7 @@
 Section: libdevel
 Architecture: any
 Depends: ${misc:Depends},
-         libtorrent-rasterbar5 (= ${binary:Version}),
+         libtorrent-rasterbar6 (= ${binary:Version}),
          libboost-dev,
          libboost-system-dev,
          libboost-filesystem-dev,
@@ -70,7 +73,7 @@
 Section: debug
 Priority: extra
 Architecture: any
-Depends: ${misc:Depends}, libtorrent-rasterbar5 (= ${binary:Version})
+Depends: ${misc:Depends}, libtorrent-rasterbar6 (= ${binary:Version})
 Description: Debug symbols for libtorrent-rasterbar
  Bittorrent library by Rasterbar Software (Arvid Norberg).
  libtorrent-rasterbar is a C++ library that aims to be a good alternative to
@@ -102,7 +105,7 @@
 Package: python-libtorrent
 Section: python
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}, ${python:Depends}, libtorrent-rasterbar5 (= ${binary:Version})
+Depends: ${shlibs:Depends}, ${misc:Depends}, ${python:Depends}, libtorrent-rasterbar6 (= ${binary:Version})
 Provides: ${python:Provides}
 XB-Python-Version: ${python:Versions}
 Description: Python bindings for libtorrent-rasterbar
