=== debian/watch ===
version=3
http://googlecode.debian.net/p/libtorrent/libtorrent-rasterbar-([\d\.]*)\.tar\.gz
