=== debian/control ===
--- 
+++ 
@@ -1,15 +1,12 @@
 Source: libtorrent-rasterbar
 Section: libs
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Cristian Greco <cristian@regolo.cc>
+Maintainer: Cristian Greco <cristian@regolo.cc>
 Build-Depends: debhelper (>= 7.4.10),
                libboost-dev,
                libboost-system-dev,
                libboost-filesystem-dev,
                libboost-thread-dev,
-               libboost-regex-dev,
-               libboost-program-options-dev,
                libboost-python-dev,
                libssl-dev,
                zlib1g-dev,
@@ -28,8 +25,6 @@
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}
 Suggests: libtorrent-rasterbar-dbg
-Conflicts: libtorrent-rasterbar5 (= 0.15.0-0ubuntu1)
-Replaces: libtorrent-rasterbar5 (= 0.15.0-0ubuntu1)
 Description: C++ bittorrent library by Rasterbar Software
  Bittorrent library by Rasterbar Software (Arvid Norberg).
  libtorrent-rasterbar is a C++ library that aims to be a good alternative to
@@ -51,7 +46,6 @@
          libboost-system-dev,
          libboost-filesystem-dev,
          libboost-thread-dev,
-         libboost-date-time-dev,
          libssl-dev,
          zlib1g-dev,
          libgeoip-dev,
