## libtorrent-rasterbar 0.15.7

=== CMakeLists.txt ===
--- 
+++ 
@@ -226,7 +226,7 @@
 	SOVERSION 1
 	VERSION 1)
 
-set (VERSION "0.15.5")
+set (VERSION "0.15.7")
 
 get_property (COMPILETIME_OPTIONS_LIST
 	DIRECTORY ${CMAKE_CURRENT_SOURCE_DIRECTORY}
