=== debian/changelog ===
libtorrent-rasterbar (0.15.7-1) unstable; urgency=low

  * New upstream version.
    - fix-webseeds-r5915.patch: new patch, fix a web seeds bug caused
      by a wrong merge commit.
  * debian/control:
    - use my @debian.org address.
    - drop DMUA field.

 -- Cristian Greco <cristian@debian.org>  Fri, 19 Aug 2011 18:47:49 +0200

libtorrent-rasterbar (0.15.6-2) unstable; urgency=low

  * debian/control: switch to dh_python2 for the python bindings.
  * debian/rules: no need to pass -a to dh_strip and dh_makeshlibs.
  * debian/patches:
    - fix-html-docs.patch: renamed, added dep3 tags.
    - fix-python-dbg-build.patch: new patch, fix wrong configure check
      when building with pythonX-dbg.
  * debian/{control,rules}: introducing a new python-libtorrent-dbg
    package (Closes: #628041).

 -- Cristian Greco <cristian@regolo.cc>  Mon, 20 Jun 2011 01:30:51 +0200

libtorrent-rasterbar (0.15.6-1) unstable; urgency=low

  * New upstream version.
    - upload to unstable.
  * Getting rid of the unneeded *.la file in -dev package
    (Closes: #622461).
  * debian/control: bump Standards-Version to 3.9.2.
  * debian/README.Debian: fix a spelling error in an old entry
    to make lintian happy.
  * debian/rules: simplified a bit.
  * debian/{control,rules}: drop "XS-Python-Version: all" and use
    different pyversions options instead.

 -- Cristian Greco <cristian@regolo.cc>  Tue, 10 May 2011 20:54:50 +0200
