=== debian/control ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Source: libtorrent-rasterbar
 Section: libs
 Priority: optional
-Maintainer: Cristian Greco <cristian@regolo.cc>
+Maintainer: Cristian Greco <cristian@debian.org>
 Build-Depends: debhelper (>= 7.4.10),
                libboost-dev,
                libboost-system-dev,
@@ -12,14 +12,14 @@
                zlib1g-dev,
                libgeoip-dev,
                pkg-config,
-               python-all-dev (>= 2.3.5-11),
+               python-all-dev (>= 2.6.6-3~),
+               python-all-dbg,
                python-docutils
-XS-Python-Version: all
-Standards-Version: 3.9.1
+Standards-Version: 3.9.2
 Vcs-Git: git://git.debian.org/git/collab-maint/libtorrent-rasterbar.git
 Vcs-Browser: http://git.debian.org/?p=collab-maint/libtorrent-rasterbar.git
 Homepage: http://www.rasterbar.com/products/libtorrent/index.html
-DM-Upload-Allowed: yes
+X-Python-Version: >= 2.4
 
 Package: libtorrent-rasterbar6
 Architecture: any
@@ -101,7 +101,7 @@
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}, ${python:Depends}, libtorrent-rasterbar6 (= ${binary:Version})
 Provides: ${python:Provides}
-XB-Python-Version: ${python:Versions}
+Breaks: ${python:Breaks}
 Description: Python bindings for libtorrent-rasterbar
  Bittorrent library by Rasterbar Software (Arvid Norberg).
  libtorrent-rasterbar is a C++ library that aims to be a good alternative to
@@ -113,3 +113,23 @@
   * to be very easy to use
  .
  This package contains Python bindings for the libtorrent-rasterbar library.
+
+Package: python-libtorrent-dbg
+Section: debug
+Priority: extra
+Architecture: any
+Depends: ${shlibs:Depends}, ${misc:Depends}, ${python:Depends}, python-libtorrent (= ${binary:Version}), python-dbg
+Provides: ${python:Provides}
+Breaks: ${python:Breaks}
+Description: Python bindings for libtorrent-rasterbar (debug symbols)
+ Bittorrent library by Rasterbar Software (Arvid Norberg).
+ libtorrent-rasterbar is a C++ library that aims to be a good alternative to
+ all the other bittorrent implementations around.
+ .
+ The main goals of libtorrent-rasterbar are:
+  * to be cpu efficient
+  * to be memory efficient
+  * to be very easy to use
+ .
+ This package contains Python bindings for the libtorrent-rasterbar library
+ (debug symbols).
