=== debian/changelog ===
libtorrent-rasterbar (0.15.8-1) unstable; urgency=low

  * New upstream version.
    - fix-webseeds-r5915.patch: drop patch, fixed upstream.
    - refreshed other patches.

 -- Cristian Greco <cristian@debian.org>  Fri, 30 Sep 2011 13:21:21 +0200
