=== debian/control ===
--- 
+++ 
@@ -3,6 +3,7 @@
 Priority: optional
 Maintainer: Cristian Greco <cristian@debian.org>
 Build-Depends: debhelper (>= 7.4.10),
+               dpkg-dev (>= 1.16.1~),
                libboost-dev,
                libboost-system-dev,
                libboost-filesystem-dev,
@@ -23,6 +24,7 @@
 
 Package: libtorrent-rasterbar6
 Architecture: any
+Pre-Depends: dpkg (>= 1.15.6~)
 Depends: ${shlibs:Depends}, ${misc:Depends}
 Suggests: libtorrent-rasterbar-dbg
 Description: C++ bittorrent library by Rasterbar Software
@@ -40,6 +42,7 @@
 Package: libtorrent-rasterbar-dev
 Section: libdevel
 Architecture: any
+Pre-Depends: dpkg (>= 1.15.6~)
 Depends: ${misc:Depends},
          libtorrent-rasterbar6 (= ${binary:Version}),
          libboost-dev,
@@ -67,6 +70,7 @@
 Section: debug
 Priority: extra
 Architecture: any
+Pre-Depends: dpkg (>= 1.15.6~)
 Depends: ${misc:Depends}, libtorrent-rasterbar6 (= ${binary:Version})
 Description: Debug symbols for libtorrent-rasterbar
  Bittorrent library by Rasterbar Software (Arvid Norberg).
@@ -83,6 +87,7 @@
 Package: libtorrent-rasterbar-doc
 Section: doc
 Architecture: all
+Pre-Depends: dpkg (>= 1.15.6~)
 Depends: ${misc:Depends}
 Description: Documentation for libtorrent-rasterbar
  Bittorrent library by Rasterbar Software (Arvid Norberg).
@@ -99,6 +104,7 @@
 Package: python-libtorrent
 Section: python
 Architecture: any
+Pre-Depends: dpkg (>= 1.15.6~)
 Depends: ${shlibs:Depends}, ${misc:Depends}, ${python:Depends}, libtorrent-rasterbar6 (= ${binary:Version})
 Provides: ${python:Provides}
 Breaks: ${python:Breaks}
@@ -118,6 +124,7 @@
 Section: debug
 Priority: extra
 Architecture: any
+Pre-Depends: dpkg (>= 1.15.6~)
 Depends: ${shlibs:Depends}, ${misc:Depends}, ${python:Depends}, python-libtorrent (= ${binary:Version}), python-dbg
 Provides: ${python:Provides}
 Breaks: ${python:Breaks}
