## libtorrent-rasterbar 0.16.3

=== CMakeLists.txt ===
--- 
+++ 
@@ -2,9 +2,17 @@
 project(libtorrent)
 
 set(sources
+	web_connection_base
 	alert
 	allocator
+	asio
+	asio_ssl
 	assert
+	bandwidth_limit
+	bandwidth_manager
+	bandwidth_queue_entry
+	bloom_filter
+	chained_buffer
 	connection_queue
 	create_torrent
 	disk_buffer_holder
@@ -18,6 +26,7 @@
 	http_connection
 	http_stream
 	http_parser
+	i2p_stream
 	identify_client
 	ip_filter
 	peer_connection
@@ -26,24 +35,39 @@
 	http_seed_connection
 	instantiate_connection
 	natpmp
+	packet_buffer
 	piece_picker
 	policy
+	puff
+	random
+	rsa
+	rss
 	session
 	session_impl
+	settings
+	socket_io
+	socket_type  
 	socks5_stream
 	stat
 	storage
+	thread
+	time
+	timestamp_history
 	torrent
 	torrent_handle
 	torrent_info
 	tracker_manager
 	http_tracker_connection
+	utf8
 	udp_tracker_connection
 	udp_socket
 	upnp
+	utp_socket_manager
+	utp_stream
 	logger
 	file_pool
 	lsd
+	disk_buffer_pool
 	disk_io_thread
 	enum_net
 	broadcast_socket
@@ -61,7 +85,6 @@
 
 # -- kademlia --
 set(kademlia_sources
-	closest_nodes
 	dht_tracker
 	node
 	refresh
@@ -72,22 +95,7 @@
 	traversal_algorithm
 )
 
-set(zlib_sources
-	adler32
-	compress
-	crc32
-	deflate
-	gzio
-	infback
-	inffast
-	inflate
-	inftrees
-	trees
-	uncompr
-	zutil
-)
-
-set(includes include zlib)
+set(includes include)
 
 option(shared "build libtorrent as a shared library" ON)
 option(tcmalloc "link against google performance tools tcmalloc" OFF)
@@ -102,7 +110,7 @@
 option(logging "build with logging" OFF)
 option(verbose-logging "build with verbose logging" OFF)
 option(build_tests "build tests" OFF)
-option(build_examples "build examples" OFF)
+option(build_examples "build examples" ON)
 
 set(CMAKE_CONFIGURATION_TYPES Debug Release RelWithDebInfo)
 
@@ -129,9 +137,6 @@
 
 foreach(s ${sources})
 	list(APPEND sources2 src/${s})
-endforeach(s)
-foreach(s ${zlib_sources})
-	list(APPEND zlib_sources2 zlib/${s})
 endforeach(s)
 
 if (dht)
@@ -142,35 +147,41 @@
 	add_definitions(-DTORRENT_DISABLE_DHT)
 endif (dht)
 
-set(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -fvisibility=hidden")
+if(NOT MSVC)
+	set(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -fvisibility=hidden")
+	set(CMAKE_CXX_FLAGS "${CMAKE_C_FLAGS} -fvisibility-inlines-hidden")
+endif()
 
 if (shared)
-	add_library(torrent-rasterbar SHARED ${sources2} ${zlib_sources2})
+	add_library(torrent-rasterbar SHARED ${sources2})
 else (shared)
-	add_library(torrent-rasterbar STATIC ${sources2} ${zlib_sources2})
+	add_library(torrent-rasterbar STATIC ${sources2})
 endif (shared)
 
-FIND_PACKAGE( Boost 1.34 COMPONENTS filesystem thread)
 if (NOT Boost_VERSION LESS 103500)
-	FIND_PACKAGE( Boost 1.35 COMPONENTS filesystem thread system)
+	if(NOT MSVC)
+		FIND_PACKAGE( Boost 1.35 COMPONENTS system)
+	else(NOT MSVC)
+		FIND_PACKAGE( Boost 1.35 COMPONENTS system thread date_time)
+	endif(NOT MSVC)
 endif (NOT Boost_VERSION LESS 103500)
 include_directories(${Boost_INCLUDE_DIR})
 target_link_libraries(torrent-rasterbar ${Boost_LIBRARIES})
 
 # this works around a bug in asio in boost-1.39
-add_definitions(-DBOOST_ASIO_HASH_MAP_BUCKETS=1021)
+add_definitions(-DBOOST_ASIO_HASH_MAP_BUCKETS=1021 -DBOOST_ASIO_DYN_LINK -D__USE_W32_SOCKETS -DWIN32_LEAN_AND_MEAN -D_WIN32_WINNT=0x0500)
+
+add_definitions(-DBOOST_DATE_TIME_DYN_LINK -DBOOST_THREAD_DYN_LINK -DBOOST_SYSTEM_DYN_LINK)
 
 if (WIN32)
 	target_link_libraries(torrent-rasterbar wsock32 ws2_32)
 endif (WIN32)
 
 if (encryption)
+	FIND_PACKAGE(OpenSSL REQUIRED)
 	add_definitions(-DTORRENT_USE_OPENSSL)
-	if (WIN32)
-		target_link_libraries(torrent-rasterbar ssleay32 libeay32 advapi32 user32 shell32 gdi32)
-	else (WIN32)
-		target_link_libraries(torrent-rasterbar crypto ssl)
-	endif (WIN32)
+	include_directories(${OPENSSL_INCLUDE_DIR})
+	target_link_libraries(torrent-rasterbar ${OPENSSL_LIBRARIES})
 else (encryption)
 	add_definitions(-DTORRENT_DISABLE_ENCRYPTION)
 	list(APPEND sources sha1)
@@ -197,7 +208,11 @@
 endif (NOT deprecated-functions)
 
 if (exceptions)
-	add_definitions(-fexceptions)
+	if (MSVC)
+		add_definitions(/EHsc)
+	else (MSVC)
+		add_definitions(-fexceptions)
+	endif (MSVC)
 else (exceptions)
 	add_definitions(-fno-exceptions)
 endif (exceptions)
@@ -207,6 +222,8 @@
 	add_definitions(-D_SCL_SECURE_NO_DEPRECATE -D_CRT_SECURE_NO_DEPRECATE)
 # these compiler settings just makes the compiler standard conforming
 	add_definitions(/Zc:wchar_t /Zc:forScope)
+# for multi-core compilation
+	add_definitions(/MP)
 
 #	<toolset>msvc,<variant>release:<linkflags>/OPT:ICF=5
 #	<toolset>msvc,<variant>release:<linkflags>/OPT:REF
@@ -214,19 +231,19 @@
 
 add_definitions(-D_FILE_OFFSET_BITS=64)
 add_definitions(-DBOOST_DISABLE_EXCEPTION)
+add_definitions(-DBOOST_ASIO_ENABLE_CANCELIO)
 
 if (tcmalloc)
 	target_link_libraries(torrent-rasterbar tcmalloc)
 endif (tcmalloc)
 
-target_link_libraries(torrent-rasterbar z)
 include_directories(${includes})
 
 set_target_properties(torrent-rasterbar PROPERTIES
 	SOVERSION 1
 	VERSION 1)
 
-set (VERSION "0.15.10")
+set (VERSION "0.16.3")
 
 get_property (COMPILETIME_OPTIONS_LIST
 	DIRECTORY ${CMAKE_CURRENT_SOURCE_DIRECTORY}
@@ -236,9 +253,11 @@
 	set (COMPILETIME_OPTIONS "${COMPILETIME_OPTIONS} -D${s}")
 endforeach (s)
 
-configure_file(libtorrent-rasterbar-cmake.pc.in libtorrent-rasterbar.pc)
-
-string (COMPARE EQUAL ${CMAKE_SIZEOF_VOID_P} "8" IS64BITS)
+if (MSVC)
+	configure_file(libtorrent-rasterbar-cmake.pc.in libtorrent-rasterbar.pc)
+endif (MSVC)
+
+string (COMPARE EQUAL "${CMAKE_SIZEOF_VOID_P}" "8" IS64BITS)
 
 if (IS64BITS AND RESPECTLIB64)
 	set (LIBDIR "lib64")
@@ -261,8 +280,6 @@
 		target_link_libraries(${s} torrent-rasterbar)
 	endforeach(s)
 
-	FIND_PACKAGE( Boost 1.34 COMPONENTS program_options regex)
-	target_link_libraries(client_test ${Boost_LIBRARIES})
 	include_directories(${Boost_INCLUDE_DIR})
 endif(build_examples)
 # === build tests ===
@@ -273,6 +290,7 @@
 		test_buffer
 		test_storage
 		test_torrent
+		test_dht
 		test_transfer
 		test_piece_picker
 		test_fast_extension
