=== debian/changelog ===
libtorrent-rasterbar (0.16.3-0ubuntu1) quantal; urgency=low

  * New upstream release.

 -- Andrew Starr-Bochicchio <a.starr.b@gmail.com>  Wed, 26 Sep 2012 11:08:05 -0400

libtorrent-rasterbar (0.16.2-0ubuntu1) quantal; urgency=low

  * New upstream release.

 -- Andrew Starr-Bochicchio <a.starr.b@gmail.com>  Fri, 10 Aug 2012 16:21:40 -0400

libtorrent-rasterbar (0.15.10-1build1) quantal; urgency=low

  * No change rebuild against boost1.49

 -- Dmitrijs Ledkovs <dmitrij.ledkov@ubuntu.com>  Mon, 11 Jun 2012 03:33:33 +0100
