## libtorrent-rasterbar 0.16.7

=== CMakeLists.txt ===
--- 
+++ 
@@ -21,6 +21,7 @@
 	file_storage
 	lazy_bdecode
 	escape_string
+	string_util
 	file
 	gzip
 	http_connection
@@ -153,6 +154,7 @@
 endif()
 
 if (shared)
+	add_definitions(-DTORRENT_BUILDING_SHARED)
 	add_library(torrent-rasterbar SHARED ${sources2})
 else (shared)
 	add_library(torrent-rasterbar STATIC ${sources2})
@@ -171,7 +173,7 @@
 # this works around a bug in asio in boost-1.39
 add_definitions(-DBOOST_ASIO_HASH_MAP_BUCKETS=1021 -DBOOST_ASIO_DYN_LINK -D__USE_W32_SOCKETS -DWIN32_LEAN_AND_MEAN -D_WIN32_WINNT=0x0500)
 
-add_definitions(-DBOOST_DATE_TIME_DYN_LINK -DBOOST_THREAD_DYN_LINK -DBOOST_SYSTEM_DYN_LINK)
+add_definitions(-DBOOST_DATE_TIME_DYN_LINK -DBOOST_THREAD_DYN_LINK -DBOOST_SYSTEM_DYN_LINK -DBOOST_CHRONO_DYN_LINK)
 
 if (WIN32)
 	target_link_libraries(torrent-rasterbar wsock32 ws2_32)
@@ -243,7 +245,7 @@
 	SOVERSION 1
 	VERSION 1)
 
-set (VERSION "0.16.3")
+set (VERSION "0.16.7")
 
 get_property (COMPILETIME_OPTIONS_LIST
 	DIRECTORY ${CMAKE_CURRENT_SOURCE_DIRECTORY}
