=== debian/changelog ===
libtorrent-rasterbar (0.16.7-0ubuntu1) raring; urgency=low

  * New upstream release.
  * Update package name and dependencies for soname bump.

 -- Andrew Starr-Bochicchio <a.starr.b@gmail.com>  Fri, 08 Feb 2013 10:27:23 -0500

libtorrent-rasterbar (0.16.5-0ubuntu1) raring; urgency=low

  * New upstream release.
  * debian/rules: Add python multiarch includes to CPPFLAGS.

 -- Andrew Starr-Bochicchio <a.starr.b@gmail.com>  Wed, 12 Dec 2012 21:16:11 -0500
