=== debian/control ===
--- 
+++ 
@@ -23,7 +23,7 @@
 Homepage: http://www.rasterbar.com/products/libtorrent/index.html
 X-Python-Version: >= 2.4
 
-Package: libtorrent-rasterbar6
+Package: libtorrent-rasterbar7
 Architecture: any
 Pre-Depends: dpkg (>= 1.15.6~)
 Depends: ${shlibs:Depends}, ${misc:Depends}
@@ -45,7 +45,7 @@
 Architecture: any
 Pre-Depends: dpkg (>= 1.15.6~)
 Depends: ${misc:Depends},
-         libtorrent-rasterbar6 (= ${binary:Version}),
+         libtorrent-rasterbar7 (= ${binary:Version}),
          libboost-dev,
          libboost-system-dev,
          libboost-filesystem-dev,
@@ -72,7 +72,7 @@
 Priority: extra
 Architecture: any
 Pre-Depends: dpkg (>= 1.15.6~)
-Depends: ${misc:Depends}, libtorrent-rasterbar6 (= ${binary:Version})
+Depends: ${misc:Depends}, libtorrent-rasterbar7 (= ${binary:Version})
 Description: Debug symbols for libtorrent-rasterbar
  Bittorrent library by Rasterbar Software (Arvid Norberg).
  libtorrent-rasterbar is a C++ library that aims to be a good alternative to
@@ -106,7 +106,7 @@
 Section: python
 Architecture: any
 Pre-Depends: dpkg (>= 1.15.6~)
-Depends: ${shlibs:Depends}, ${misc:Depends}, ${python:Depends}, libtorrent-rasterbar6 (= ${binary:Version})
+Depends: ${shlibs:Depends}, ${misc:Depends}, ${python:Depends}, libtorrent-rasterbar7 (= ${binary:Version})
 Provides: ${python:Provides}
 Breaks: ${python:Breaks}
 Description: Python bindings for libtorrent-rasterbar
